#!/bin/sh -e

PROG="${0##*/}"
MOZ_APPNAME='thunderbird'
MOZ_WORKDIR="$(mktemp -dt $MOZ_APPNAME.XXXXXXXXXX)"

error() {
    printf 'Error: %s\n' "$@" >&2
    exit 1
}

exit_handler() {                                                                                               
    local rc=$?
    trap - EXIT
    [ -z "$MOZ_WORKDIR" ] || rm -rf -- "$MOZ_WORKDIR"
    exit $rc
}

trap exit_handler EXIT HUP INT PIPE TERM QUIT

tbird_bin="$1" && shift || error "first argument required"

[ -x "$tbird_bin" ] || error "not executable: $tbird_bin"

# We must _always_ fake HOME variable. 
export HOME="$MOZ_WORKDIR"

"$tbird_bin" -nox -update-register 2>/dev/null >/dev/null || error "register faild"
